package be.iminds.ilabt.jfed.rspec.rspec_source;

import be.iminds.ilabt.jfed.rspec.model.ModelRspec;
import be.iminds.ilabt.jfed.rspec.model.ModelRspecType;
import be.iminds.ilabt.jfed.rspec.model.StringRspec;
import org.slf4j.LoggerFactory;

/**
 * AdvertisementRspecSource
 */
public class AdvertisementRspecSource extends RspecSource {
    private static final org.slf4j.Logger LOG = LoggerFactory.getLogger(AdvertisementRspecSource.class);

    public AdvertisementRspecSource(StringRspec stringRspec) {
        super(stringRspec);
    }

    public AdvertisementRspecSource(ModelRspec modelRspec) {
        super(modelRspec);
    }

    /** Determines automatically to use raw XML, or ModelRspec */
    public AdvertisementRspecSource(String xmlRspecString, ModelRspecType modelRspecType) {
        super(xmlRspecString, modelRspecType);
    }
}
